# $Id: perl-POE-Component-IRC.spec 5526 2007-06-18 19:24:10Z dries $
# Authority: dries
# Upstream: Chris Williams <chris$bingosnet,co,uk>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name POE-Component-IRC

Summary: POE component for IRC
Name: perl-POE-Component-IRC
Version: 5.32
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/POE-Component-IRC/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/POE-Component-IRC-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl, perl(ExtUtils::MakeMaker)

%description
POE::Component::IRC is a POE (Perl Object Environment) component
which provides a convenient way for POE applications to create a tiny
IRC client session and send and receive IRC events through it. If that
first sentence was a bit too much, go read the POE documentation over
and over until it makes some sense.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/POE/Component/IRC.pm
%{perl_vendorlib}/POE/Component/IRC/
%{perl_vendorlib}/POE/Filter/

%changelog
* Mon Jun 18 2007 Dries Verachtert <dries@ulyssis.org> - 5.32-1 - 5526/dries
- Updated to release 5.32.

* Sun Apr 29 2007 Dries Verachtert <dries@ulyssis.org> - 5.24-1
- Updated to release 5.24.

* Wed Jan 03 2007 Dries Verachtert <dries@ulyssis.org> - 5.18-1
- Updated to release 5.18.

* Tue Nov 14 2006 Dries Verachtert <dries@ulyssis.org> - 5.11-1
- Updated to release 5.11.

* Tue Sep 26 2006 Dries Verachtert <dries@ulyssis.org> - 5.04-1
- Updated to release 5.04.

* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 5.03-1
- Updated to release 5.03.

* Fri Jun  2 2006 Dries Verachtert <dries@ulyssis.org> - 4.91-1
- Updated to release 4.91.

* Sun Mar 26 2006 Dries Verachtert <dries@ulyssis.org> - 4.80-1
- Updated to release 4.80.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 4.77-1.2
- Rebuild for Fedora Core 5.

* Sat Jan  7 2006 Dries Verachtert <dries@ulyssis.org> - 4.77-1
- Updated to release 4.77.

* Fri Dec  9 2005 Dries Verachtert <dries@ulyssis.org> - 4.75-1
- Initial package.
